import { SlashCommand, SlashCreator, CommandContext } from 'slash-create';

export default class PingCommand extends SlashCommand {
  constructor(creator: SlashCreator) {
    super(creator, {
      name: 'ping',
      description: 'pongs'
    })
  }

  // eslint-disable-next-line @typescript-eslint/no-unused-vars
  async run(_ctx: CommandContext) {
    return `pong from ${this.client.user.tag}!`
  }
}
